summaryrefslogtreecommitdiffstats
path: root/scripts/deblob-main
diff options
context:
space:
mode:
authorAlexandre Oliva <lxoliva@fsfla.org>2008-09-07 05:56:01 +0000
committerAlexandre Oliva <lxoliva@fsfla.org>2008-09-07 05:56:01 +0000
commit71d83970f32f6d9504568747abb7146ce1b20a60 (patch)
tree0bbb15321af53e7c5e7a7dbf754ffdbbf68bff98 /scripts/deblob-main
parent5ba08496cba998da6b51d1283bcce043b38e0227 (diff)
downloadlinux-libre-raptor-71d83970f32f6d9504568747abb7146ce1b20a60.tar.gz
linux-libre-raptor-71d83970f32f6d9504568747abb7146ce1b20a60.zip
Add --force command-line flag, to ignore some errors.
Diffstat (limited to 'scripts/deblob-main')
-rwxr-xr-xscripts/deblob-main18
1 files changed, 16 insertions, 2 deletions
diff --git a/scripts/deblob-main b/scripts/deblob-main
index 4f67d9d68..a7796c76d 100755
--- a/scripts/deblob-main
+++ b/scripts/deblob-main
@@ -52,6 +52,15 @@
# behind, and then it will refuse to run again before you clean it up
# by hand. It takes extra care to avoid overwriting useful files.
+# If deblob-$mver finds any unexpected situation, it will error out,
+# and then deblob-main will quit. Pass --force to deblob-main, before
+# any other argument, for deblob-main to ignore any such situations.
+
+case $1 in
+--force) force=--force; shift;;
+*) force=;;
+esac
+
mver=$1 extra=$2 sver=$3
kver=$mver$sver libre=libre$extra
deblob= dir=`echo $0 | sed 's,/[^/]*$,,'`
@@ -165,10 +174,15 @@ cp linux-$kver.tar linux-$kver-$libre.tar
cp -lR linux-$kver/. linux-$kver-$libre
echo Deblobbing within linux-$kver-$libre
-(cd linux-$kver-$libre && /bin/sh ../$deblob) || exit 1
+if (cd linux-$kver-$libre && /bin/sh ../$deblob $force); then
+ :
+else
+ echo $deblob failed, aborting >&2
+ exit 1
+fi
rm -f linux-$kver-$libre.patch
-# Do not copy these scripts for now, deblob-check regards itself as a blog.
+# Do not copy these scripts for now, deblob-check regards itself as a blob.
# cp -p $0 $deblob deblob-check linux-$kver-$libre
echo Generating linux-$kver-$libre.patch
OpenPOWER on IntegriCloud